# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(glib-2.0) pkgconfig(gtk+-2.0) pkgconfig(x11)
# END SourceDeps(oneline)
Summary: Password manager with GTK2 GUI
Name: fpm2
Version: 0.79
Release: alt1_7
License: GPLv2+
Group: Office
Source: http://als.regnet.cz/%{name}/download/%{name}-%{version}.tar.bz2
URL: http://als.regnet.cz/fpm2/
BuildRequires: gtk2-devel libxml2-devel desktop-file-utils gettext intltool
Source44: import.info

%description
Figaro's Password Manager 2 is a program that allows you to securely store the
passwords using GTK2 interface. Features include:
- Passwords are encrypted with the AES-256 algorithm.
- Copy passwords or usernames to the clipboard/primary selection.
- If the password is for a web site, FPM2 can keep track of the URLs of your
  login screens and can automatically launch your browser. In this capacity,
  FPM2 acts as a kind of bookmark manager.
- Combine all three features: you can configure FPM2 to bring you to a web
  login screen, copy your username to the clipboard and your password to the
  primary selection, all with a single button click.
- FPM2 also has a password generator that can choose passwords for you. It
  allows you to determine how long the password should be, and what types of
  characters (lower case, upper case, numbers and symbols) should be used.
  You can even have it avoid ambiguous characters such as a capital O or the
  number zero.
- Auto-minimise and/or auto-locking passwords database after configurable time
  to the tray icon.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%find_lang %{name}

desktop-file-install \
  --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/fpm2
%{_datadir}/pixmaps/fpm2
%{_mandir}/man1/fpm2.1*
%{_datadir}/applications/*.desktop

%changelog
* Thu Mar 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.79-alt1_7
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.79-alt1_6
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.79-alt1_5
- initial fc import

